Subject: bug#46349: 27.1; Spaces are added at wrong places when typing in Sinhala Unicode.

From: Lohan Gunaweera <[email-masked]>
Date: Sun, 7 Feb 2021 09:54:53 +0530

On 2/7/21 9:08 AM, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Lohan Gunaweera <[email-masked]>
>> Date: Sun, 7 Feb 2021 06:30:54 +0530
>>
>>> After you enter these characters, if you type "C-h l" (that's the
>>> letter ell, not the digit one), what does Emacs show in the *Help*
>>> buffer?
>>
>> I entered both words, with a space between them and a full-stop at the
>> end. After full-stop I hit space. This is what it shows in the *Help*
>> buffer:
>>
>>  භ			;; org-self-insert-command
>>  ා			;; org-self-insert-command
>>  ෂ			;; org-self-insert-command
>>  ා			;; org-self-insert-command
>>  ව			;; org-self-insert-command
>>  SPC			;; org-self-insert-command
>>  .			;; org-self-insert-command
>>  C-h l			;; view-lossage
> 
> This says that Emacs received the space _before_ the full stop.  Which
> does explain what you see on screen, doesn't it?
> 

Thanks for this clarification. I did not know what it meant. (I am just
an orgmode user who uses it for writing and publishing)

>>
>> I use the same input method with other applications such as gedit,
>> LibreOffice, Thunderbird, Firefox etc, without this issue.
> 
> Maybe some interaction between Emacs and the input method, then.
> 

What is the best approach to get this resolved? Shall I file a bug
report for ibus on their bug tracker?